> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause automation



## OpenAPI

````yaml api-reference/openapi.v1.json POST /automations/{automationID}/pause
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /automations/{automationID}/pause:
    post:
      tags:
        - automations
      summary: Pause automation
      operationId: pauseAutomation
      parameters:
        - in: path
          name: automationID
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutomationResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    AutomationResponse:
      additionalProperties: false
      properties:
        automation:
          $ref: '#/components/schemas/Automation'
      required:
        - automation
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    Automation:
      additionalProperties: false
      properties:
        agent_profile_id:
          format: uuid
          type:
            - string
            - 'null'
        created_at:
          format: date-time
          type: string
        id:
          format: uuid
          type: string
        name:
          maxLength: 100
          minLength: 1
          type: string
        next_due_at:
          format: date-time
          type: string
        project_id:
          format: uuid
          type: string
        prompt:
          minLength: 1
          type: string
        schedule:
          discriminator:
            mapping:
              daily:
                $ref: '#/components/schemas/AutomationDailySchedule'
              interval:
                $ref: '#/components/schemas/AutomationIntervalSchedule'
              weekly:
                $ref: '#/components/schemas/AutomationWeeklySchedule'
            propertyName: kind
          oneOf:
            - $ref: '#/components/schemas/AutomationIntervalSchedule'
            - $ref: '#/components/schemas/AutomationDailySchedule'
            - $ref: '#/components/schemas/AutomationWeeklySchedule'
        status:
          enum:
            - active
            - paused
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - project_id
        - name
        - prompt
        - status
        - schedule
        - next_due_at
        - created_at
        - updated_at
      type: object
    AutomationDailySchedule:
      additionalProperties: false
      properties:
        daily_minute_of_day:
          format: int32
          maximum: 1439
          minimum: 0
          type: integer
        kind:
          enum:
            - daily
          type: string
        timezone:
          minLength: 1
          type: string
      required:
        - kind
        - timezone
        - daily_minute_of_day
      type: object
    AutomationIntervalSchedule:
      additionalProperties: false
      properties:
        interval_minutes:
          format: int32
          minimum: 1
          type: integer
        kind:
          enum:
            - interval
          type: string
        timezone:
          minLength: 1
          type: string
      required:
        - kind
        - timezone
        - interval_minutes
      type: object
    AutomationWeeklySchedule:
      additionalProperties: false
      properties:
        kind:
          enum:
            - weekly
          type: string
        timezone:
          minLength: 1
          type: string
        weekly_day:
          format: int32
          maximum: 6
          minimum: 0
          type: integer
        weekly_minute_of_day:
          format: int32
          maximum: 1439
          minimum: 0
          type: integer
      required:
        - kind
        - timezone
        - weekly_day
        - weekly_minute_of_day
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````